#pragma once

#include "registration_base.h"

namespace xreg {

class RegistrationFPFH : public RegistrationBase {
public:
  EIGEN_MAKE_ALIGNED_OPERATOR_NEW

  RegistrationFPFH(/* args */);

  virtual ~RegistrationFPFH() = default;

  CloudFPFH::Ptr computeFPFH(const PointCloudXYZ::Ptr &input_cloud);

  void registration() override;

public:
  std::vector<Frame::Ptr> frames;
  /* data */
};

} // namespace xreg