#! /bin/bash
script_dir=$(dirname $0)
source $script_dir/utils.sh

# DATAPATH
DATAPATH=/mnt/data0/Data/ethz_registration/
DATASET=(apartment gazebo_summer gazebo_winter hauptgebaude mountain stairs wood_autumn wood_summer)
# res_down=

srcc
base_dir=`rospack find xreg`

rosparam load `rospack find xreg`/cfg/param.yaml
rosparam set log_path $(rospack find xreg)/logs/
rosparam set data_path $DATAPATH

# roscore &
for dset in ${DATASET[*]}; do
    echo "########## $dset"

    rosparam set dataset $dset
	# rm -rf $base_dir/logs/est
	mkdir $base_dir/logs/est

    rosrun xreg xreg_node
    mv $base_dir/logs/traj $base_dir/logs/est/$dset
done

cp $base_dir/cfg/param.yaml $base_dir/logs/est/
rand_su=`tr -dc a-z0-9 </dev/urandom | head -c 6 ; echo ''`
mv $base_dir/logs/est $base_dir/logs/est_$rand_su

echo "a" | sendmail hyhuang1995@foxmail.com
