#! /bin/bash
trap ctrl_c INT

DATASET=stairs
#RESOLUTION=0.1
RESOLUTION=(0.05 0.1 0.2 0.3 0.4 0.5 0.6)
METHOD=vgicp
SEARCH=2

function ctrl_c() {
    kill %1
    exit
}

function srcc() {
    prefix=''
    if [ "$#" -eq 1 ]; then
        prefix="_$1"
        print $prefix
    fi

    cwd=$(pwd)
    cdir=$(pwd)
    while [ $cdir != $HOME ]; do
        dir_to_check="$cdir/devel$prefix"
        if [ -d $dir_to_check ]; then
            source "$dir_to_check/setup.bash"
            echo "source $dir_to_check/setup.bash"
            break
        fi
        cd ..
        cdir=$(pwd)
    done
    if [ $cdir = $HOME ]; then
        echo "failed to find a catkin... "
    fi

    cd $cwd
}

srcc

# roscore &
for np in ${RESOLUTION[*]}
do
	# DATASET=hauptgebaude
	# RESOLUTION=0.1
	# method=gicp
	# search_method=1
	rosparam set dataset $DATASET
	rosparam set resolution $np
	rosparam set method $METHOD
	rosparam set search_method $SEARCH

	rosrun xreg xreg_node
done
